a, a:active { text-decoration: none }
html {overflow-x: hidden;}

body { 
    border-radius: 0px; 
    border:0; 
    padding:0; 
    margin:0; 
    font-size:16px; 
    font-family:"Verdana","Geneva CY","DejaVu Sans","Sans-serif","fontawesome";
    min-width: 100%; 
    min-height: 100%;
}

.wh00   { width: 100%}
.wh95   { width: 95% }
.wh90   { width: 90% }
.wh85   { width: 85% }
.wh80   { width: 80% }
.wh75   { width: 75% }
.wh70   { width: 70% }
.wh65   { width: 65% }
.wh60   { width: 60% }
.wh55   { width: 55% }
.wh50   { width: 50% }
.wh45   { width: 45% }
.wh40   { width: 40% }
.wh35   { width: 35% }
.wh30   { width: 30% }
.wh25   { width: 25% }
.wh20   { width: 20% }
.wh15   { width: 15% }
.wh10   { width: 10% }

:root {
    --global-border-radius : 6px;    
    --global-space: 1rem;
    --scn-row-height: 3rem;
    --full-size: 100%;
    --half-size: 50%;
    --margin-step: 0.5rem;

    overflow-x: hidden;
    transition-behavior: allow-discrete;
}

input, button, textarea { font-family: inherit; margin:0; padding: 0; }
input { width: 100%; height: 100%; }

input::placeholder {color:aliceblue}

select::-ms-expand {display: none;}

div, .fxc, .fxr  { display: flex }
.fxr { flex-direction: row }
.fxc { flex-direction: column }

.scn
{
    border-radius: var(--global-border-radius);
    min-height: var(--scn-row-height);
    background-color: #25a5aa;
    box-sizing: border-box;
    padding: 0.75rem;
}

.scn-row
{
   height: 2.5rem;
   
}

.scn-title 
{
    justify-content: right;
    margin-top: 10px;
    color: #0f686b;
}

.scn-desc 
{
    background-color: #bde5eb;
    border-radius: 8px;
    border-left: solid 3px #178588;
    border-right: solid 3px #178588;
    overflow: hidden;
    
    color: #178588;
    font-size: 0.9rem;
    box-sizing: border-box;

    transition: opacity 0.9s ease-in-out, max-height 0.8s ease;
    opacity: 1;
    max-height: 100vh;
    margin: 10px 10px 0 10px;

    &.closed 
    {
        max-height: 0px;
        opacity: 0;
    }

    &.non-dspl {display: none;}
}

.inpt
{
    width: 100%;
    border-radius: 6px;
    font-size: 1rem;
    border: solid 1px #178588;
    background-color:#2eb5ba;
    outline: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    box-shadow: 0px 0px 0.1rem #eaeaea;
   
    color: white;
}

.trsn-type
{
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 50%;
    background-color: #2eb5ba;
    justify-content: center;
    align-items: center;
    color: white;
    border: solid 1px #178588;
    align-self: center;
    min-width: 2.5rem;
}

